|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QCommonStyle Class Reference

The QCommonStyle class encapsulates the common Look and Feel of a GUI. More...

    #include <QCommonStyle>

Part of the QtGui module.

Inherits QStyle.

Inherited by QMotifStyle and QWindowsStyle.

- List of all members, including inherited members

### Public Functions

- QCommonStyle ()
- ~QCommonStyle ()

- 21 public functions inherited from QStyle
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QCommonStyle class encapsulates the common Look and Feel of a GUI.

This abstract class implements some of the widget's look and feel that is common to all GUI styles provided and shipped as part of Qt.

All the functions are full documented in QStyle, although the extra functions that QCommonStyle provides, e.g. drawComplexControl(), drawControl(), drawPrimitive(), hitTestComplexControl(), subControlRect(), sizeFromContents(), and subElementRect() are documented here.

## Member Function Documentation

### QCommonStyle::QCommonStyle ()

Constructs a QCommonStyle.

### QCommonStyle::~QCommonStyle ()

Destroys the style